request params: timeout, retry, etc.

### Hierarchy

- EnvoyHttpRequestInit

## Index

### Properties

- headers
- maxRetries
- perTryTimeout
- retryOn
- timeout

## Properties

### Optional headers

headers: HttpHeader

- Defined in envoy-http-request-params.ts:66

### Optional maxRetries

maxRetries: undefined | number

- Defined in envoy-http-request-params.ts:62

### Optional perTryTimeout

perTryTimeout: undefined | number

- Defined in envoy-http-request-params.ts:65

### Optional retryOn

retryOn: HttpRetryOn[]

- Defined in envoy-http-request-params.ts:63

### Optional timeout

timeout: undefined | number

- Defined in envoy-http-request-params.ts:64

Generated using TypeDoc